<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <div class="top">{{StaffName}}消费明细</div>
        <div class="box">
             <div class="left">
                 <div id="myChart"></div>
             </div>
             <div class="right">
                 <div class="tip" v-if="datalist.length>0">
                     <span>费用类别</span>
                     <span>金额</span>
                     <span>币种</span>
                     <span>日期</span>
                     <span>原因</span>
                 </div>
                 <ul class="list">
                     <li v-for="(item,index) in datalist" :key="index"><span>{{item.type}}</span><span>{{item.money}}</span><span>{{item.CurrencyIsoCode}}</span><span>{{item.year}}/{{item.Month}}</span><span>{{item.reason}}</span></li>
                    
                 </ul>
             </div>
        </div>
       
    </div>
</template>
<script>
export default {

    data(){
        return{
          isshow:true,
          istype:'',
        datalist:[],
        Detaillist:[],
        serieslist:[],
        StaffName:'',
        yearmonth:''
        }
    },
     computed:{
        
        options(){
            let that=this;
           let option={
           tooltip: {
                trigger: 'item',
                formatter:function(szlb){
                        console.log(szlb);
                        that.datalist=[];
                        that.Detaillist.filter((val,index)=>{
                            if(val.type==szlb.data.name){
                                val.Detaillist.filter((val,index)=>{
                                    that.datalist.push(val);
                                })
                                
                            }
                        })
                       // console.log(that);
                       
                    }
            },
            // legend: {
            //     orient: 'vertical',
            //     x: 'left',
            //     data:['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
            // },
            series: [
                {
                    name:'访问来源',
                    type:'pie',
                    radius: '80%',
                    center:['50%','45%'],
                    avoidLabelOverlap: false,
                       minAngle:20,
                    label: {
                        normal: {
                            show: true,
                            position: 'inner'
                        },
                        
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data:[
                        {value:335, name:'直接访问'},
                        {value:310, name:'邮件营销'},
                        {value:234, name:'联盟广告'},
                        {value:135, name:'视频广告'},
                        {value:1548, name:'搜索引擎'}
                    ]
                }
            ]
             }
             return option;
            
        }
     },
    methods:{
       
         drawline(){
            
            let myChart = this.$echarts.init(document.getElementById('myChart'));
            // 绘制图表
            //console.log("option"+this.options);
         //   let circleChart= this.$echarts.init(document.getElementById('circleChart'));
          //  console.log(this.datalist[0])
           
                     myChart.setOption(this.options);
             
            
            
             

        }
    },
    created(){
        console.log("0000");
        let that=this;
        if(that.$route.query.CostTime){
            let arr=that.$route.query.CostTime.split('/');
             that.yearmonth=arr[0]+'年'+arr[1]+'月';
        }
       
         client.apexrest('/rest/ProjectSummaryDetail?Pid='+that.$route.query.pid+'&StaffID='+that.$route.query.StaffID+'&CostTime='+that.$route.query.CostTime,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Status=="Success"){
                      that.StaffName=data.StaffName;
                       if(data.Detaillist.length>0){
                           that.Detaillist=data.Detaillist;
                           data.Detaillist.filter((val,index)=>{
                               that.serieslist.push({value:val.tatol,name:val.type})
                               that.options.series[0].data= that.serieslist;
                               that.drawline();
                               val.Detaillist.filter((val,index)=>{
                                 that.datalist.push(val)
                               })
                           })
                          // console.log(that.datalist);
                       }else{
                           that.datalist=[];
                       }
                    
                  }else{
                      that.issave=true;
                      that.word=data.Message;
                      console.log(data.Message);
                  }
                },function(error){
                  that.isshow=false;
                  that.issave=true;
                  that.word=error;
                  console.log(error);

                },'GET',null,true)
        
       
    }

}

</script>
<style lang="scss" type="text/scss" scoped>
    #home{
        width: 100%;

    }
    #home .top{
         width: 100%;
         margin:0.1rem auto 0.1rem auto;
        height: 0.6rem;
        line-height:0.6rem;
        // background: white;
        border-radius: 0.2rem;
       text-align: center;

       
    }
    #home .box{
        width: 100%;
        display: flex;
        height: auto;
        flex-direction: column;
        // background: white;
    }
    #home .left{
        width:100%;
        height: auto;
    }
   #home  #myChart{
        width:100%;
        height: 289px;
   }
    #home .right{
        width: 100%;
        background:white;
    }
     #home .right .tip{
         width: 100%;
         height: 1rem;
         display: flex;
         background: #63A0A7;
         color: white;
        //  flex-direction: column;
         line-height: 1rem;
         border-bottom: 0.02rem solid lightgray;
     }
      #home .right .tip span{
          width: 20%;
          text-align: center;
      }
      #home .right .tip span:last-child{
          width: 60%;
          text-align: center;
          border-left: 0.02rem solid lightgray;
      }
       #home .right .list{
           width: 100%;
       }
       #home .right .list li{
           width:100%;
           height: 1rem;
           line-height: 1rem;
           display: flex;
           border-bottom: 0.02rem solid lightgray;
       }
        #home .right .list li span{
            width: 20%;
            height: 1rem;
            line-height: 1rem;
            display: block;
            text-align: center;
        }
         #home .right .list li span:last-child{
            width: 60%;
            overflow: hidden;
            text-overflow:ellipsis;
            white-space: nowrap;
            border-left: 0.02rem solid lightgray;
         }
</style>
